Subject: Fw: Price for PO Box 5618, Tallahassee FL
From: "Amber Blais" <[email-masked]>
To: "mike bishop" <[email-masked]>
Date: Tue, 8 Jul 2014 16:52:28 -0400

From: WHITE, CAROLYN K 
Sent: Tuesday, July 08, 2014 3:16 PM
To: [email-masked]' 
Cc: Moore, Deanna K - Lansing, MI 
Subject: Price for PO Box 5618, Tallahassee FL

Good afternoon, Amber,

The price is

Box Size #4 - PO Box 5618 rent:

*Six months - $287

*One year - $574

Will that work for you or Mike to take a check into Lansing with the form 1093 attached above and two forms of identification? We can send the check to Tallahassee by Express Mail and they can open the PO Box there.  I apologize for the glitch in our online system that won't let you pay and open the PO Box there.

If you have any questions, please do not hesitate to contact me.  Thank you for using the United States Postal Service.

CAROLYN WHITE 
BUSINESS SERVICE NETWORK 
888-276-1293 
USPS CALL 616-776-6143 
[email-masked] 
CUSTOMER SERVICE EXCELLENCE! 

Subject: PO Box 5618, Tallahassee FL

Good afternoon, Amber,

The Tallahassee Postmaster attempted to determine why you can't pay on-line but all looks good from our end and the payment should take.  But that's not the message you are receiving.  Here's an easy work-around to the glitch. You will need to complete a form 1093, Application for Post Office Box, if the on-line payment system won't allow you to open the box on-line and pay for it there.  When you open a post office box, Mike Bishop goes to the Lansing Post Office with two forms of identification anyway.    He can drop off the form 1093, attached above, with a check made out to Postmaster, Tallahassee FL, and present identification.  I will request Deanna Moore, Lansing Window Supervisor, to verify the identification and send the check and application onto:

POSTMASTER

2800 S ADAMS ST 
TALLAHASSEE, FL 32301-9998

Indicate on the form 1093 all names of the businesses that the post office box will be receiving mail delivery for.  

Because of the issues with the on-line payment method not working out for you as they have in the past, I will have Deanna Moore send the check and application by Priority Mail Express to Tallahassee.

If you have any questions, please do not hesitate to contact me.  Thank you for using the United States Postal Service.

CAROLYN WHITE 
BUSINESS SERVICE NETWORK 
888-276-1293 
USPS CALL 616-776-6143 
[email-masked] 
CUSTOMER SERVICE EXCELLENCE! 

From: Amber Blais [mailto:[email-masked]] 
Sent: Monday, July 07, 2014 2:28 PM
To: WHITE, CAROLYN K
Subject: Re: PO Box 5618

Carolyn,

We are sending a tester out under the Tallahassee PO Box under the name Florida Council for Corporations. Do we need to do anything to add that name to our box? Also, have you heard anything from them? We are still unable to make the payment for the box.

 

Amber Blais  

From: WHITE, CAROLYN K 

Sent: Thursday, July 03, 2014 2:55 PM

To: [email-masked]' 

Subject: PO Box 5618

Good afternoon, Amber,

I am working with Tallahassee on this.  I think what needs to happen is they need to go into their computer and mark the PO Box as available rather than closed.  Hopefully, I will hear something yet today.  I will keep you informed.  I apologize for the inconvenience.

If you have any questions, please do not hesitate to contact me.  Thank you for using the United States Postal Service.

CAROLYN WHITE 
BUSINESS SERVICE NETWORK 
888-276-1293 
USPS CALL 616-776-6143 
[email-masked] 
CUSTOMER SERVICE EXCELLENCE! 

--------

From: Amber Blais [mailto:[email-masked]] 
Sent: Thursday, July 03, 2014 1:35 PM
To: WHITE, CAROLYN K
Subject: Re: PO Box 5618 is still available

Carolyn,

Mike tried going online to pay for the box and it was saying it was still closed. Can you let me know what we need to do so, we can pay for the box?

 

Amber Blais